Skip to main content
GET
/
api
/
chat-agents
/
{agentId}
Get chat agent
curl --request GET \
  --url https://api.upon-ai.com/api/chat-agents/{agentId} \
  --header 'Authorization: Bearer <token>'
{
  "agent_id": "<string>",
  "agent_name": "<string>",
  "version": 123,
  "response_engine": {
    "type": "<string>",
    "llm_id": "<string>"
  },
  "auto_close_message": "<string>",
  "is_public": true,
  "end_chat_after_silence_ms": 123,
  "webhook_url": "<string>",
  "webhook_events": [
    "<string>"
  ],
  "timezone": "<string>",
  "data_storage_setting": "<string>",
  "data_storage_retention_days": 123,
  "post_chat_analysis_model": "<string>",
  "post_chat_analysis_data": [
    {}
  ],
  "uponai_dynamic_variables": {}
}

Authorizations

Authorization
string
header
required

Generate tokens from your profile settings at app.uponai.com.

Path Parameters

agentId
string
required

Agent identifier.

Query Parameters

workspaceId
integer
required

Workspace identifier. Call GET /api/workspaces to list workspaces accessible to your token.

version
integer

Specific version to retrieve or update.

Required range: x >= 1

Response

200 - application/json

Chat agent configuration.

agent_id
string
agent_name
string
version
integer
response_engine
object
auto_close_message
string | null
is_public
boolean
end_chat_after_silence_ms
integer | null
webhook_url
string<uri> | null
webhook_events
string[]
timezone
string | null
data_storage_setting
string | null
data_storage_retention_days
integer | null
post_chat_analysis_model
string | null
post_chat_analysis_data
object[]
uponai_dynamic_variables
object